Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Travis build grid #48

Merged
merged 2 commits into from

3 participants

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
This page is out of date. Refresh to see the latest.
Showing with 11 additions and 11 deletions.
  1. +6 −6 .travis.yml
  2. +5 −5 capistrano-notifier.gemspec
View
12 .travis.yml
@@ -1,9 +1,9 @@
env:
- - TEST_ENV=default
- - TEST_ENV=rails-2.3
- - TEST_ENV=rails-3.0
- - TEST_ENV=rails-3.1
- - TEST_ENV=rails-3.2
+ - RAILS_VERSION=none
+ - RAILS_VERSION=2.3
+ - RAILS_VERSION=3.0
+ - RAILS_VERSION=3.1
+ - RAILS_VERSION=3.2
rvm:
- 1.8.7
- 1.9.2
@@ -19,7 +19,7 @@ matrix:
- rvm: ruby-head
exclude:
- rvm: ruby-head
- env: TEST_ENV=rails-2.3
+ env: RAILS_VERSION=2.3
notifications:
email:
- sysadmin@cramerdev.com
View
10 capistrano-notifier.gemspec
@@ -15,14 +15,14 @@ Gem::Specification.new do |gem|
gem.require_paths = ["lib"]
gem.version = Capistrano::Notifier::VERSION
- case ENV['TEST_ENV']
- when 'rails-2.3'
+ case ENV['RAILS_VERSION']
+ when '2.3'
gem.add_dependency 'actionmailer', '~> 2.3.0'
- when 'rails-3.0'
+ when '3.0'
gem.add_dependency 'actionmailer', '~> 3.0.0'
- when 'rails-3.1'
+ when '3.1'
gem.add_dependency 'actionmailer', '~> 3.1.0'
- when 'rails-3.2'
+ when '3.2'
gem.add_dependency 'actionmailer', '~> 3.2.0'
else
gem.add_dependency 'actionmailer'
Something went wrong with that request. Please try again.